Skip to main content
PUT
/
commerce
/
rules
/
return
/
{code}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "customerRules": [
    "<string>"
  ],
  "description": "<string>",
  "enabled": true,
  "isReturnable": true,
  "maxDays": 123,
  "maxQty": 123,
  "metaData": "<unknown>",
  "name": "<string>",
  "productRules": [
    "<string>"
  ],
  "rank": 123,
  "validForAllSites": true,
  "validSites": [
    123
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

The code of the Return rule to update.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Return Rule contract

auditInfo
object
code
string | null

Unique identifier of the Return.

customerRules
string[] | null

List of customer rule codes that apply to the Return

description
string | null

Return description

enabled
boolean | null

Indicates if the Return is enabled

isReturnable
boolean | null

Indicates if the Return is IsReturnable

maxDays
integer<int32> | null

Maximum Days of the Return

maxQty
integer<int32> | null

Maximum quantity of the Return

metaData
any | null

Metadata for the ReturnRule which is a json format, used to store additional information

name
string | null

Return name

productRules
string[] | null

List of product rule codes that apply to the Return

rank
integer<int32>

Rank of the Return

validForAllSites
boolean | null

Indicates if the ReturnRule is valid for all sites

validSites
integer<int32>[] | null

List of site IDs that the ReturnRule is valid for

Response

Success

Return Rule contract

auditInfo
object
code
string | null

Unique identifier of the Return.

customerRules
string[] | null

List of customer rule codes that apply to the Return

description
string | null

Return description

enabled
boolean | null

Indicates if the Return is enabled

isReturnable
boolean | null

Indicates if the Return is IsReturnable

maxDays
integer<int32> | null

Maximum Days of the Return

maxQty
integer<int32> | null

Maximum quantity of the Return

metaData
any | null

Metadata for the ReturnRule which is a json format, used to store additional information

name
string | null

Return name

productRules
string[] | null

List of product rule codes that apply to the Return

rank
integer<int32>

Rank of the Return

validForAllSites
boolean | null

Indicates if the ReturnRule is valid for all sites

validSites
integer<int32>[] | null

List of site IDs that the ReturnRule is valid for